
Foreman - Feature #4160

foreman_url should be able to append parameters, e.g. static

01/22/2014 10:42 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7086

  

Description

The foreman_url renderer function should take additional options so it can automatically append parameters to the URL.  Currently

you have to append to it in the template, which is unreliable as parameters may need appending with a "?" or "&" prefix depending on

whether it's the first parameter in the query string or not.

e.g. foreman_url("provision", :params => { :static => "yes" })

Related issues:

Related to Foreman - Refactor #29733: Deprecate calling foreman_url without a... Closed

Associated revisions

Revision 170b56c6 - 12/20/2019 09:46 AM - Lukas Zapletal

Fixes #4160 - foreman_url params option

History

#1 - 10/04/2019 01:31 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/7086 added

#2 - 12/20/2019 09:46 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#3 - 12/20/2019 10:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset 170b56c69ab0d7e6b332b352d823bb988eca0b6b.

#4 - 05/11/2020 02:18 PM - Lukas Zapletal

- Related to Refactor #29733: Deprecate calling foreman_url without arguments added
